### Einrichtung Raspberry Pi für Monero-Mining

### Image erstellen
- 64-bit Image herunterladen (aktuell: bullseye)
- Mit Raspberry Pi Imager schreiben
  - Ctrl+Shift+X: Hostname + Passwort festlegen, SSH aktivieren

### Housekeeping
```
sudo apt update
sudo apt upgrade -y
sudo raspi-config
```
Raspi-Config:

- Memory split: 16

### Message of the day
```sudo nano/etc/motd```

\<ASCII-Art von Hostname\>

Wallet: 45561hnJ5bwEjggiYNiGX4ALod9fz3AFGd8Q7pLjFWHRKMfQsqvRL9u4eAjCJ9fBZSQK2SpX8mPiLFirpcZGMXgjPxsJyCH

Pool address: gulf.moneroocean.stream:10002

### Manueller DNS-Server
```sudo nano /etc/dhcpcd.conf```

static domain\_name\_servers=1.0.0.1 8.8.8.8

```sudo service dhcpcd restart```

### Abhängigkeiten installieren
```sudo apt install screen cmake git build-essential libssl-dev libuv1-dev libhwloc-dev```

### XMRig klonen
```git clone https://github.com/MoneroOcean/xmrig.git xmrig-mo```

### XMRig bauen
```
cd xmrig-mo
mkdir build
cd build
cmake .. && make -j${nproc}
```

### Start-Skript erstellen

```
cd ../scripts/
touch start.sh
chmod +x start.sh
nano start.sh
```

#### start.sh

```
#!/bin/bash
sudo /home/pi/xmrig-mo/build/xmrig -o <pool address> -u <wallet> -k -p <Miner Name>
```

### XMRig bei Neustart ausführen

```crontab -e```

```@reboot /usr/bin/screen -dmS monero /home/pi/xmrig-mo/scripts/start.sh```

### XMRig manuell in neuen screen ausführen
```
screen -S monero
cd /home/pi/xmrig-mo/build
./xmrig -o <pool address> -u <wallet> -k -p <Miner Name>
Ctrl+A, D
```

